%define module_version 0.18
%define module_name Redis-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libev-devel libevent-devel libgnustep-corebase-devel libivykis-devel libuv-devel perl(Benchmark.pm) perl(Config.pm) perl(Digest/SHA.pm) perl(Encode.pm) perl(Errno.pm) perl(Exporter.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/UNIX.pm) perl(IPC/Cmd.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Net/EmptyPort.pm) perl(Parallel/ForkManager.pm) perl(Redis.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(Test/TCP.pm) perl(Test/UNIXSock.pm) perl(Tie/Array.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.18
Release: alt1
Summary: Perl binding for Redis database
Group: Development/Perl
License: perl
URL: https://github.com/shogo82148/Redis-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOGO/%{module_name}-%{module_version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc deps/hiredis/COPYING README.md Changes LICENSE
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1.1
- rebuild with perl 5.22

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2
- rebuild to get rid of unmets

* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

